:root {
  --primary-color: #fce138;
  --secondary-color: #024e76;
  --tertiary-color: #39a6b2;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
       color: var(--tertiary-color);
    font-family: Helvetica, Arial, sans-serif;
  }

  header {
    padding: 20px 35px;
    background-color: var(--tertiary-color);
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    background-image: url("../images/hero-bg.jpg");
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    background-position: 80%;
    z-index: 9999;
  }

  header h1 {
    color: var(--primary-color);
    font-weight: bold;
    font-size: 36px;
    margin: 0;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  }
  
  header a {
    color: var(--primary-color);
    text-decoration: none;
  }

  header nav {
    margin: 7px 0;
  }

  header nav ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    list-style: none;
  }
  header nav ul li a {
    padding: 10px 15px;
    font-weight: lighter;
    font-size: 1.55vw;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  }
  header nav ul li a:hover {
    background: #fce138;
    color: var(--secondary-color);
    border-radius: 15px;
    text-shadow: none;
  }

  section {
    padding: 60px;
      }

  .hero {
    background-image: url("../images/hero-bg.jpg");
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    background-position: 80%;
    display:flex;
    flex-flow: row wrap;
    align-items: flex-start;
          }

  .hero-cta {
    text-align: right;
    color: #fff;
    width: 35%;
    margin: 3.5%;
    font-size: 18px;
    line-height: 1.2;
  }
 
  .hero-cta h2 {
    color: var(--primary-color);
    font-style: italic;
    font-size: 55px;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.5);

  }
  .hero-form {
    background-color: rgba(252, 225, 56, 0.8);
    border: solid 3px var(--secondary-color);
    color: var(--secondary-color);
    font-family: Arial, Helvetica, sans-serif;
    line-height: 1.5;
    padding: 20px;
    justify-content: center;
    flex-wrap: wrap;
    width: 40%;
    margin: 3.5%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    border-radius:15px;
  }
  h3 {
    font-size: 24px;
    margin: 0;
  }
.hero-form p {
  margin: 5px 0 15px 0;
}
.form-input {
  font-size: 16px;
  border: 1px solid var(--secondary-color);
  display: block;
  padding: 7px 15px;
  color: var(--secondary-color);
  width: 100%;
  margin-bottom: 15px;
  border-radius: 10px;
  background-color: rgba(255,255,255, 0.75);
  }
  .form-input:focus {
    background-color: rgba(255,255,255, 1);
    outline: none;
  }

  .hero-form label {
    margin: 0 5px;
  }

  .hero-form button {
    color: var(--primary-color);
    background-color: var(--secondary-color);
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 10px;
  }
  .hero-form button:hover {
    background-color: var(--tertiary-color);  
  }

  .checkbox-wrapper input, .radio-wrapper input {
    opacity: 0;
  }

  .checkbox-wrapper label, .radio-wrapper label {
    position: relative;
    left: 10px;
    margin: 10px;
    line-height: 1.6;
  }
  .checkbox-wrapper label::before, .radio-wrapper label::before {
    content: "";
    height: 20px;
    width: 20px;
    background: rgba(255, 255, 255, 0.75);  
    border: 1px solid var(--secondary-color);  
    position: absolute;
    top: -4px;
    left: -30px;
  }
  .radio-wrapper label::before {
    border-radius: 50%;
  }

  .radio-wrapper label::after {
    content: "";
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: var(--secondary-color);
    position: absolute;
    left: -29px;
    top: -3px;
    background-image: radial-gradient(circle, var(--tertiary-color), var(--secondary-color));
  }
  
  .checkbox-wrapper label::after {
    content: "";
    height: 6px;
    width: 14px;
    border-left: 2px solid var(--secondary-color);
    border-bottom: 2px solid var(--secondary-color);
    position: absolute;
    left: -26px;
    top: 1px;
    transform: rotate(-58deg);
  }
  
  .checkbox-wrapper input + label::after, 
.radio-wrapper input + label::after {
  content: none;
}

.checkbox-wrapper input:checked + label::after, 
.radio-wrapper input:checked + label::after {
  content: "";
}
    .section-title{
    font-size: 48px;
    color: var(--secondary-color);
    border-bottom: 3px solid;
    padding-bottom: 20px;
    text-align: center;
    margin: 0 auto 35px auto;
    width: 50%;
  }
    .primary-border {
      border-color: var(--primary-color);
  }
  .secondary-border {
    border-color: var(--tertiary-color);
  }

  .intro p {
    line-height: 1.7;
    color: var(--tertiary-color);
    width: 80%;
    font-size: 20px;
    margin: 0 auto;
    text-align: center;
  }

  .steps {
    text-align: center;
    background: var(--primary-color);
    }

    .step {
      margin: 50px auto;
      padding-bottom: 50px;
      width: 80%;
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      justify-content: space-between;
    }
    .step:not(:last-child) {
      border-bottom: 1px solid var(--tertiary-color);
    }
    .step h3 {
    color: var(--secondary-color);
    font-size: 46px;
    flex: 1 30%;
    }

    .step-img {
      flex: 1 12%;
      margin-right:20px;
    }
    .step-info {
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      flex:2 70%;
    }
    
  .step-text {
    flex:12;
  }
  .step-text p {
    color: var(--tertiary-color);
    font-size: 18px;
  }
  .step-text h4 {
    font-size: 26px;
    line-height: 1.5;
    color: var(--secondary-color);
  }

  .trainers {
    width: 100%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
  }
  .trainer {
    margin: 20px;
    background: var(--secondary-color);
    color: var(--primary-color);
    flex: 1;
      }
  .trainer img {
    width: 100%;
        }
  
  .trainer-bio {
    padding: 25px;
    line-height: 1.3;
  }

  .trainer-bio h3{
font-size: 28px;
  }

  .trainer-bio h4 {
    font-weight: lighter;
    font-size: 22px;
    margin-bottom: 15px;
  }

  .trainer-bio p {
    font-size: 17px;
      }

  .text-left{
    text-align: left;
  }

  .text-right {
    text-align: right;
  }

  .flex-row {display:flex;}

  .contact {
    background-color: var(--secondary-color);
    }
.contact h2 {
  color: var(--primary-color);
}

.contact-info {
  display: flex;
  flex-wrap:wrap;
  justify-content: space-between;
}
.contact-info iframe {
  height: 400px;
}
  .contact-info div {
    color: white;
  }

  .contact-info h3{
    color: var(--primary-color);
    font-size: 32px;
  }
  .contact-info p, .contact-info address {
    margin: 20px 0;
    line-height: 1.5;
    font-size:20px;
    font-size: normal;
  }
  .contact-info a {
    color:var(--primary-color);
  }

  .contact-form input, .contact-form textarea {
    border: 1px solid var(--secondary-color);
    display: block;
    padding:7px 15px;
    font-size: 16px;
    color: var(--secondary-color);
    width: 100%;
    margin-bottom: 15px;
    margin-top: 5px;
    border-radius: 10px;
    background-color: rgba(255,255,255, 0.75);
  }
  .contact-form input:hover, .contact-form textarea:hover {
    background-color: rgba(255,255,255, 1);
    outline: none;
  }
  .contact-form button {
    width: 100%;
    border: none;
    background:var(--primary-color);
    color: var(--secondary-color);
    text-align: center;
    padding: 15px 0;
    font-size: 16px;
    border-radius: 10px;
  }
  .contact-form button:hover {
    color: var(--primary-color);
    background: var(--tertiary-color);
  }

  footer {
      background: var(--primary-color);
      width: 100%;
      padding: 40px 35px;
      display:flex;
      justify-content: space-between;
      flex-wrap: wrap;
  }

  footer h2 {
      color: var(--secondary-color);
      font-size: 30px;
      margin: 0;
  }

  footer div {
      line-height: 1.5;
      text-align: right;
  }

  footer a {
      color: var(--secondary-color);
  }


  /* MEDIA QUERY FOR SMALLER DESKTOP SCREENS AND SMALLER */
@media screen and (max-width: 980px) {
  header {
    padding-bottom: 0;
    justify-content: center;
    position: relative
  }

  header h1 {
    width: 100%;
    text-align: center;
  }

  header nav ul {
    margin-top: 20px;
    width: 100%;
    justify-content: center;
  }

  header nav ul li a {
    font-size: 20px;
      }
  
  footer h2, footer div {
    text-align: center;
    width: 100%;
  }

  .hero-cta, .hero-form {
    width: 100%;
  }

  .hero-cta {
    text-align: center;
  }

  .section-title {
    width:80%;
  }

  .trainer {
    flex: 0 70%;
      }

      .contact-info iframe {
        flex: 1 100%;
      }
  }

/* MEDIA QUERY FOR TABLETS AND SMALLER */
@media screen and (max-width: 768px) {
  section {
    padding: 30px 15px;
  }

  .step h3 {
    flex: 1 100%;
    text-align: center;
  }

  .step-info {
    flex: 2 100%;
    text-align: center;
    justify-content: center;
    }
    .step-img {
      flex: 0 32%;
      margin-right: 0;
      margin-top: 15px;
      margin-bottom: 15px;
    }
    .step-text {
      flex: 100%;
    }
  }

/* MEDIA QUERY FOR MOBILE PHONES AND SMALLER */
@media screen and (max-width: 575px) {
  .hero-form button {
    width:100%;
  }

  .section-title {
    width: 95%;
  }
  .intro p {
    width: 100%;
  }

  .trainer {
    flex: 0 100%;
  }

  .contact-info {
    text-align: center;
  }
  .contact-info > * {
    flex: 0 100%;
  }

  .contact-form {
    order: 3;
  }
  }